> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put categoryv1libraries categories valuesbatch

> Creates category values in a library in batch. Each row gives the full path of a category value (levels separated by '/', a '/' in a name is escaped as '\/'). Rows must be ordered root first, e.g. 'France', 'France/Paris', 'France/Paris/Louvre', so that a hierarchy can be created in a single request. A request can contain at most 2000 rows. Invalid rows (empty path, blank level, value already existing) are reported in the response with their 1-based row number and do not stop the processing of subsequent rows.



## OpenAPI

````yaml /openapis/category.json put /category/v1/libraries/{libraryId}/categories/{categoryId}/values/batch
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.17'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: category
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) categories
      and category values
paths:
  /category/v1/libraries/{libraryId}/categories/{categoryId}/values/batch:
    put:
      tags:
        - category
      description: >-
        Creates category values in a library in batch. Each row gives the full
        path of a category value (levels separated by '/', a '/' in a name is
        escaped as '\/'). Rows must be ordered root first, e.g. 'France',
        'France/Paris', 'France/Paris/Louvre', so that a hierarchy can be
        created in a single request. A request can contain at most 2000 rows.
        Invalid rows (empty path, blank level, value already existing) are
        reported in the response with their 1-based row number and do not stop
        the processing of subsequent rows.
      operationId: category:v1.Category.batchCreateCategoryValues
      parameters:
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/categoryId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiCategoryValueBatch'
        required: true
      responses:
        '200':
          description: A ApiCategoryValueBatchResult response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCategoryValueBatchResult'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    categoryId_path_parameter:
      name: categoryId
      in: path
      description: The ID of the category
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiCategoryValueBatch:
      type: object
      properties:
        items:
          type: array
          description: The category values to create, ordered root first
          items:
            $ref: '#/components/schemas/ApiCategoryValueBatchItem'
        kind:
          type: string
    ApiCategoryValueBatchResult:
      type: object
      properties:
        created:
          type: integer
          format: int32
          description: The number of created category values
        errors:
          type: array
          description: The errors of the invalid rows
          items:
            $ref: '#/components/schemas/ApiCategoryValueBatchError'
        failed:
          type: integer
          format: int32
          description: The number of rows that have not been created
        kind:
          type: string
    ApiCategoryValueBatchItem:
      type: object
      properties:
        categoryValue:
          type: string
          description: The full path of the category value (required)
        shortName:
          type: string
          description: The short name of the category value
    ApiCategoryValueBatchError:
      type: object
      properties:
        error:
          type: string
          description: The reason why the row could not be created
        row:
          type: integer
          format: int32
          description: The 1-based row number in the request payload
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.